PETSc version 3.15.5
Fix/Edit manual page

# DMGetCoordinates

Gets a global vector with the coordinates associated with the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinates(DM dm, Vec *c)

Collective on dm

### Input Parameter

| dm | - the DM

### Output Parameter

| c | - global coordinate vector

### Note

This is a borrowed reference, so the user should NOT destroy this vector. When the DM is destroyed the array will no longer be valid.

Each process has only the local coordinates (does NOT have the ghost coordinates).

For DMDA, in two and three dimensions coordinates are interlaced (x_0,y_0,x_1,y_1,...) and (x_0,y_0,z_0,x_1,y_1,z_1...)

### See Also

DMSetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM(), DMDASetUniformCoordinates()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/stag/tutorials/ex3.c.html
src/dm/tutorials/ex3.c.html
src/dm/tutorials/ex4.c.html
src/dm/tutorials/swarm_ex1.c.html
src/dm/tutorials/swarm_ex3.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex69.c.html
src/ksp/ksp/tutorials/ex71.c.html
src/snes/tutorials/ex5.c.html
src/snes/tutorials/ex22.c.html
src/snes/tutorials/ex33.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages